org.apache.fop.afp

## Class AFPGraphicsObjectInfo

- java.lang.Object
- - org.apache.fop.afp.AFPDataObjectInfo
  - - org.apache.fop.afp.AFPGraphicsObjectInfo

    public class AFPGraphicsObjectInfo
    extends AFPDataObjectInfo

A graphics object info which contains necessary painting objects

### Field Summary

### Fields inherited from class org.apache.fop.afp.AFPDataObjectInfo

`DEFAULT_MAPPING_OPTION`

### Constructor Summary

Constructors
Constructor and Description
`AFPGraphicsObjectInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Rectangle2D` `getArea()` Returns the graphics area
`AFPGraphics2D` `getGraphics2D()` Returns the AFP graphics 2D implementation
`String` `getMimeType()` Returns the mime type of this data object
`org.apache.xmlgraphics.java2d.Graphics2DImagePainter` `getPainter()` Returns the graphics painter
`void` `setArea(Rectangle2D area)` Sets the graphics area area
`void` `setGraphics2D(AFPGraphics2D g2d)` Sets the AFP graphics 2D implementation
`void` `setPainter(org.apache.xmlgraphics.java2d.Graphics2DImagePainter graphicsPainter)` Sets the graphics painter
`String` `toString()`

### Methods inherited from class org.apache.fop.afp.AFPDataObjectInfo

`getData, getDataHeight, getDataHeightRes, getDataWidth, getDataWidthRes, getMappingOption, getObjectAreaInfo, getObjectType, getResourceInfo, getTransparencyMask, getUri, isCreatePageSegment, isUseIocaImages, setCreatePageSegment, setData, setDataHeight, setDataHeightRes, setDataWidth, setDataWidthRes, setMappingOption, setMimeType, setObjectAreaInfo, setResourceInfo, setTransparencyMask, setUri, setUseIocaImages`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AFPGraphicsObjectInfo

    public AFPGraphicsObjectInfo()

### Method Detail

#### getPainter

    public org.apache.xmlgraphics.java2d.Graphics2DImagePainter getPainter()

Returns the graphics painter

Returns:
  the graphics painter

#### setPainter

    public void setPainter(org.apache.xmlgraphics.java2d.Graphics2DImagePainter graphicsPainter)

Sets the graphics painter

Parameters:
  `graphicsPainter` - the graphics painter

#### getArea

    public Rectangle2D getArea()

Returns the graphics area

Returns:
  the graphics area

#### setArea

    public void setArea(Rectangle2D area)

Sets the graphics area area

Parameters:
  `area` - the graphics object area

#### setGraphics2D

    public void setGraphics2D(AFPGraphics2D g2d)

Sets the AFP graphics 2D implementation

Parameters:
  `g2d` - the AFP graphics 2D implementation

#### getGraphics2D

    public AFPGraphics2D getGraphics2D()

Returns the AFP graphics 2D implementation

Returns:
  the AFP graphics 2D implementation

#### toString

    public String toString()

Overrides:
  `toString` in class `AFPDataObjectInfo`

#### getMimeType

    public String getMimeType()

Returns the mime type of this data object

Overrides:
  `getMimeType` in class `AFPDataObjectInfo`
Returns:
  the mime type of this data object